package domain


type AlibabaWdkAxStoreQueryApiResult struct {
    /*
        调用接口返回成功失败     */
    Success  *bool `json:"success,omitempty" `

    /*
        调用接口返回错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用接口返回错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        查询接口返回对象     */
    Model  *AlibabaWdkAxStoreQueryAxStoreQueryResponse `json:"model,omitempty" `

}

func (s *AlibabaWdkAxStoreQueryApiResult) SetSuccess(v bool) *AlibabaWdkAxStoreQueryApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryApiResult) SetErrMsg(v string) *AlibabaWdkAxStoreQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryApiResult) SetErrCode(v string) *AlibabaWdkAxStoreQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkAxStoreQueryApiResult) SetModel(v AlibabaWdkAxStoreQueryAxStoreQueryResponse) *AlibabaWdkAxStoreQueryApiResult {
    s.Model = &v
    return s
}
